﻿using UnityEngine;
using System.Collections;

public class Prefabs : MonoBehaviour {

	public GameObject dirtPrefab;
	public GameObject rootPrefab;
	public GameObject rootTipPrefab;
	public GameObject[] rockPrefabs;

	private static Prefabs _instance;
	public static Prefabs Instance {
		get
		{
			if (!_instance)
			{
				_instance = GameObject.FindObjectOfType<Prefabs>();
				if (!_instance)
				{
					GameObject container = new GameObject();
					container.name = "Prefabs";
					_instance = container.AddComponent<Prefabs>();
				}
			}
			
			return _instance;
		}
	}

	public GameObject GetRockPrefab() {
		int index = Random.Range(0, rockPrefabs.Length);

		return rockPrefabs[index];
	}
}
